Get Competitor Seo Trend
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/dashboards/competitor-seo/trend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/dashboards/competitor-seo/trend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/dashboards/competitor-seo/trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"series": [
{
"competitor_domain": "<string>",
"points": [
{
"captured_at": "2023-11-07T05:31:56Z",
"est_organic_traffic": 123,
"source": "live"
}
]
}
],
"ai_share_of_voice_state": "measured",
"ai_share_of_voice": {
"measured": true,
"expected_answers": 1,
"measured_answers": 1,
"missing_answers": 1,
"platform": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"brands": [
{
"brand": "<string>",
"domain": "",
"answers_naming": 1,
"share_of_voice": 0.5,
"mention_share": 0.5,
"answers_citing": 1,
"citation_share": 0.5,
"is_target": false
}
],
"samples": [
{
"prompt": "<string>",
"platform": "<string>",
"brands_named": [
"<string>"
],
"cohort_brands_named": [
"<string>"
],
"provider": "dataforseo",
"model": "",
"mention_observed": true,
"sources_observed": true,
"brand_urls": [
"<string>"
],
"cited_domains": [
"<string>"
],
"cohort_domains_cited": [
"<string>"
],
"citations": [
{
"url": "<string>",
"title": ""
}
],
"check_url": ""
}
],
"mention_denominator": 1,
"citation_denominator": 1,
"citation_denominator_basis": "source_list_observed",
"provider": "dataforseo",
"location_code": 2,
"language_code": "<string>",
"matching_note": "<string>",
"stale": false
},
"estimate_notice": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Dashboards
Get Competitor Seo Trend
Per-competitor modelled organic-traffic trend series.
GET
/
api
/
v1
/
brands
/
{brand_id}
/
dashboards
/
competitor-seo
/
trend
Get Competitor Seo Trend
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Available options:
measured, pending_first_capture, not_eligible_unregistered, not_eligible_no_industry, not_eligible_bulk_load, not_eligible_no_competitors, capture_disabled, capture_unavailable Show child attributes
Show child attributes
Was this page helpful?